<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>Response (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Response (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Response.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/net/protocols/ProtocolLogUtil.html" title="class in org.apache.nutch.net.protocols"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/net/protocols/Response.TruncatedContentReason.html" title="enum in org.apache.nutch.net.protocols"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/net/protocols/Response.html" target="_top">Frames</a></li>
<li><a href="Response.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.net.protocols</div>
<h2 title="Interface Response" class="title">Interface Response</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata">HttpHeaders</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/nutch/protocol/htmlunit/HttpResponse.html" title="class in org.apache.nutch.protocol.htmlunit">HttpResponse</a>, <a href="../../../../../org/apache/nutch/protocol/selenium/HttpResponse.html" title="class in org.apache.nutch.protocol.selenium">HttpResponse</a>, <a href="../../../../../org/apache/nutch/protocol/http/HttpResponse.html" title="class in org.apache.nutch.protocol.http">HttpResponse</a>, <a href="../../../../../org/apache/nutch/protocol/httpclient/HttpResponse.html" title="class in org.apache.nutch.protocol.httpclient">HttpResponse</a>, <a href="../../../../../org/apache/nutch/protocol/interactiveselenium/HttpResponse.html" title="class in org.apache.nutch.protocol.interactiveselenium">HttpResponse</a>, <a href="../../../../../org/apache/nutch/protocol/okhttp/OkHttpResponse.html" title="class in org.apache.nutch.protocol.okhttp">OkHttpResponse</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Response</span>
extends <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata">HttpHeaders</a></pre>
<div class="block">A response interface. Makes all protocols model HTTP.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.TruncatedContentReason.html" title="enum in org.apache.nutch.net.protocols">Response.TruncatedContentReason</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#FETCH_TIME">FETCH_TIME</a></span></code>
<div class="block">Key to hold the time when the page has been fetched</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#IP_ADDRESS">IP_ADDRESS</a></span></code>
<div class="block">Key to hold the IP address the request is sent to if
 <code>store.ip.address</code> is true</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#REQUEST">REQUEST</a></span></code>
<div class="block">Key to hold the HTTP request if <code>store.http.request</code> is true</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#RESPONSE_HEADERS">RESPONSE_HEADERS</a></span></code>
<div class="block">Key to hold the HTTP response header if <code>store.http.headers</code> is
 true</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#TRUNCATED_CONTENT">TRUNCATED_CONTENT</a></span></code>
<div class="block">Key to hold boolean whether content has been truncated, e.g., because it
 exceeds <code>http.content.limit</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#TRUNCATED_CONTENT_REASON">TRUNCATED_CONTENT_REASON</a></span></code>
<div class="block">Key to hold reason why content has been truncated, see
 <a href="../../../../../org/apache/nutch/net/protocols/Response.TruncatedContentReason.html" title="enum in org.apache.nutch.net.protocols"><code>Response.TruncatedContentReason</code></a></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.metadata.HttpHeaders">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.metadata.<a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html" title="interface in org.apache.nutch.metadata">HttpHeaders</a></h3>
<code><a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CLIENT_TRANSFER_ENCODING">CLIENT_TRANSFER_ENCODING</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_DISPOSITION">CONTENT_DISPOSITION</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_ENCODING">CONTENT_ENCODING</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LANGUAGE">CONTENT_LANGUAGE</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LENGTH">CONTENT_LENGTH</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LOCATION">CONTENT_LOCATION</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_MD5">CONTENT_MD5</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_TYPE">CONTENT_TYPE</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#IF_MODIFIED_SINCE">IF_MODIFIED_SINCE</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#LAST_MODIFIED">LAST_MODIFIED</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#LOCATION">LOCATION</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#TRANSFER_ENCODING">TRANSFER_ENCODING</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#USER_AGENT">USER_AGENT</a>, <a href="../../../../../org/apache/nutch/metadata/HttpHeaders.html#WRITABLE_CONTENT_TYPE">WRITABLE_CONTENT_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#getCode--">getCode</a></span>()</code>
<div class="block">Returns the response code.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#getContent--">getContent</a></span>()</code>
<div class="block">Returns the full content of the response.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#getHeader-java.lang.String-">getHeader</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the value of a named header.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#getHeaders--">getHeaders</a></span>()</code>
<div class="block">Returns all the headers.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/net/protocols/Response.html#getUrl--">getUrl</a></span>()</code>
<div class="block">Returns the URL used to retrieve this response.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="REQUEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REQUEST</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> REQUEST</pre>
<div class="block">Key to hold the HTTP request if <code>store.http.request</code> is true</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.net.protocols.Response.REQUEST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESPONSE_HEADERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESPONSE_HEADERS</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RESPONSE_HEADERS</pre>
<div class="block">Key to hold the HTTP response header if <code>store.http.headers</code> is
 true</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.net.protocols.Response.RESPONSE_HEADERS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="IP_ADDRESS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IP_ADDRESS</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> IP_ADDRESS</pre>
<div class="block">Key to hold the IP address the request is sent to if
 <code>store.ip.address</code> is true</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.net.protocols.Response.IP_ADDRESS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FETCH_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FETCH_TIME</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FETCH_TIME</pre>
<div class="block">Key to hold the time when the page has been fetched</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.net.protocols.Response.FETCH_TIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRUNCATED_CONTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRUNCATED_CONTENT</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRUNCATED_CONTENT</pre>
<div class="block">Key to hold boolean whether content has been truncated, e.g., because it
 exceeds <code>http.content.limit</code></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.net.protocols.Response.TRUNCATED_CONTENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TRUNCATED_CONTENT_REASON">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TRUNCATED_CONTENT_REASON</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRUNCATED_CONTENT_REASON</pre>
<div class="block">Key to hold reason why content has been truncated, see
 <a href="../../../../../org/apache/nutch/net/protocols/Response.TruncatedContentReason.html" title="enum in org.apache.nutch.net.protocols"><code>Response.TruncatedContentReason</code></a></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.nutch.net.protocols.Response.TRUNCATED_CONTENT_REASON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUrl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUrl</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;getUrl()</pre>
<div class="block">Returns the URL used to retrieve this response.</div>
</li>
</ul>
<a name="getCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCode</h4>
<pre>int&nbsp;getCode()</pre>
<div class="block">Returns the response code.</div>
</li>
</ul>
<a name="getHeader-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeader</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getHeader(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the value of a named header.</div>
</li>
</ul>
<a name="getHeaders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeaders</h4>
<pre><a href="../../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a>&nbsp;getHeaders()</pre>
<div class="block">Returns all the headers.</div>
</li>
</ul>
<a name="getContent--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getContent</h4>
<pre>byte[]&nbsp;getContent()</pre>
<div class="block">Returns the full content of the response.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Response.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/nutch/net/protocols/ProtocolLogUtil.html" title="class in org.apache.nutch.net.protocols"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/nutch/net/protocols/Response.TruncatedContentReason.html" title="enum in org.apache.nutch.net.protocols"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/net/protocols/Response.html" target="_top">Frames</a></li>
<li><a href="Response.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
